#### D.4.25.15 showNuminvs

Procedure from library `normaliz.lib` (see normaliz_lib).

Usage:
  showNuminvs();

Purpose:
  prints the numerical invariants

Example:

    LIB "normaliz.lib";
    ring R=0,(x,y,z,t),dp;
    ideal I=x3,x2y,y3;
    list l=intclMonIdeal(I);
    showNuminvs();
    ==> hilbert_basis_elements : 7
    ==> number_extreme_rays : 5
    ==> dim_max_subspace : 0
    ==> embedding_dim : 4
    ==> rank : 4
    ==> external_index : 1
    ==> internal_index : 1
    ==> number_support_hyperplanes : 5
    ==> size_triangulation : 3
    ==> sum_dets : 4
    ==> integrally_closed : 0
    ==> inhomogeneous : 0
    ==> graded : 1
    ==> degree_1_elements : 7
    ==> grading : 1,1,1,-2
    ==> grading_denom : 1
    ==> multiplicity : 4
    ==> multiplicity_denom : 1
    ==> hilbert_series_num : 1,3
    ==> hilbert_series_denom : 1,1,1,1
    ==> primary : 0
    ==> class_group : 1

See also: exportNuminvs.

User manual for Singular version 4.4.1, 2025, generated by texi2html.